<?php
$__functions['init'][]      ='_notify_admin_vars' ;
$__functions['boot_site'][] ='_notify_admin_boot' ;
$__functions['install'][]	='_notify_install_modul' ;

function _notify_admin_vars()
{
    $_SESSION['descr_clss'][630]['name']='Сообщения о неисправности' ;
    $_SESSION['descr_clss'][630]['parent']=0 ;
    $_SESSION['descr_clss'][630]['fields']['new']=array('type'=>'int(1)','default'=>1,'index'=>'new') ; //по дефолту сообщение не прочитанно
    $_SESSION['descr_clss'][630]['fields']['type_error']=array('type'=>'varchar(255)','index'=>'type_error') ; //тип ошибки
    $_SESSION['descr_clss'][630]['fields']['brief_desc']=array('type'=>'varchar(255)','index'=>'brief_desc') ; //краткое описание ошибки
    $_SESSION['descr_clss'][630]['fields']['title_message']=array('type'=>'varchar(255)') ; //заголовок письма для отправки на почту
    $_SESSION['descr_clss'][630]['fields']['text_message']=array('type'=>'varchar(255)') ; //текст письма для отправки на почту
}

function _notify_admin_boot($options)
{
    create_system_modul_obj('notify',$options) ;
}

function _notify_install_modul($DOT_root)
{
    $pattern=array() ;
    $pattern['table_title']		        = 	'Сообщения о неисправности' ;
    $pattern['use_clss']		        = 	'630' ;
    $pattern['table_name']				= 	'error_messages' ;
    $pattern['table_parent']			= 	$DOT_root;
    create_table_by_pattern($pattern) ;

    $id_sect=SETUP_add_section_to_site_setting('Отправка писем') ;
    SETUP_add_rec_to_site_setting($id_sect,"Отправлять сообщения об ошибках на email",0,'LS_notify_send_message_to_email',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"email для оповещения о неисправности теринала",'','LS_notify_email_from',['descr'=>'Несколько email задаются через запятую']) ;

    SETUP()->reg_event_lister('send_message_server_problem','NOTIFY','on_event_send_message') ;

    ENGINE()->reg_cron('Проверка возникновения неполадок на терминале','NOTIFY/cron_checking_for_errors','0 */1 * * *') ;
}